org.apache.solr.common.cloud

## Interface CollectionStateWatcher

    public interface CollectionStateWatcher

Callback registered with `ZkStateReader.registerCollectionStateWatcher(String, CollectionStateWatcher)` and called whenever the collection state changes.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `onStateChanged(Set<String> liveNodes, DocCollection collectionState)` Called when the collection we are registered against has a change of state.

### Method Detail

#### onStateChanged

    boolean onStateChanged(Set<String> liveNodes,
                           DocCollection collectionState)

Called when the collection we are registered against has a change of state. Note that, due to the way Zookeeper watchers are implemented, a single call may be the result of several state changes. Also, multiple calls to this method can be made with the same state, ie. without any new updates.

Parameters:
  `liveNodes` - the set of live nodes
  `collectionState` - the new collection state (may be null if the collection has been deleted)
Returns:
  true if the watcher should be removed